package com.mortals.xhx.module.perform.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.perform.model.PerformGoworkRecordEntity;
/**
* 办件绩效记录信息查询对象
*
* @author zxfei
* @date 2023-05-18
*/
public class PerformGoworkRecordQuery extends PerformGoworkRecordEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 窗口编号 */
    private List<String> windowNumList;

    /** 窗口编号排除列表 */
    private List <String> windowNumNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 办件编码 */
    private List<String> goworkCodeList;

    /** 办件编码排除列表 */
    private List <String> goworkCodeNotList;
    /** 办件所属部门 */
    private List<String> goworkDeptsList;

    /** 办件所属部门排除列表 */
    private List <String> goworkDeptsNotList;
    /** 事项名称 */
    private List<String> matterlNameList;

    /** 事项名称排除列表 */
    private List <String> matterlNameNotList;
    /** 开始 办理时间 */
    private String goworkTimeStart;

    /** 结束 办理时间 */
    private String goworkTimeEnd;

    /** 开始 绩效规则id */
    private Long ruleIdStart;

    /** 结束 绩效规则id */
    private Long ruleIdEnd;

    /** 增加 绩效规则id */
    private Long ruleIdIncrement;

    /** 绩效规则id列表 */
    private List <Long> ruleIdList;

    /** 绩效规则id排除列表 */
    private List <Long> ruleIdNotList;

    /** 规则名称 */
    private List<String> ruleNameList;

    /** 规则名称排除列表 */
    private List <String> ruleNameNotList;
    /** 开始 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodStart;

    /** 结束 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodEnd;

    /** 增加 扣分方式(1.系统自动,2.人工添加) */
    private Integer subMethodIncrement;

    /** 扣分方式(1.系统自动,2.人工添加)列表 */
    private List <Integer> subMethodList;

    /** 扣分方式(1.系统自动,2.人工添加)排除列表 */
    private List <Integer> subMethodNotList;

    /** 扣分人员 */
    private List<String> deductPersonList;

    /** 扣分人员排除列表 */
    private List <String> deductPersonNotList;
    /** 开始 扣分时间 */
    private String deductTimeStart;

    /** 结束 扣分时间 */
    private String deductTimeEnd;

    /** 开始 扣分或增加分值 */
    private BigDecimal scoreStart;

    /** 结束 扣分或增加分值 */
    private BigDecimal scoreEnd;

    /** 增加 扣分或增加分值 */
    private BigDecimal scoreIncrement;

    /** 扣分或增加分值列表 */
    private List <BigDecimal> scoreList;

    /** 扣分或增加分值排除列表 */
    private List <BigDecimal> scoreNotList;

    /** 开始 处理状态(1.未核查,2.已核查) */
    private Integer processStatusStart;

    /** 结束 处理状态(1.未核查,2.已核查) */
    private Integer processStatusEnd;

    /** 增加 处理状态(1.未核查,2.已核查) */
    private Integer processStatusIncrement;

    /** 处理状态(1.未核查,2.已核查)列表 */
    private List <Integer> processStatusList;

    /** 处理状态(1.未核查,2.已核查)排除列表 */
    private List <Integer> processStatusNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformGoworkRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformGoworkRecordQuery> andConditionList;

    public PerformGoworkRecordQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 员工ID
    * @return staffIdStart
    */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
    * 获取 结束 员工ID
    * @return $staffIdEnd
    */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
    * 获取 增加 员工ID
    * @return staffIdIncrement
    */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
    * 获取 员工ID
    * @return staffIdList
    */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
    * 获取 员工ID
    * @return staffIdNotList
    */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
    * 设置 员工ID
    * @param staffIdNotList
    */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
    * 获取 员工姓名
    * @return staffNameList
    */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
    * 获取 员工姓名
    * @return staffNameNotList
    */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
    * 设置 员工姓名
    * @param staffNameNotList
    */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
    * 获取 工号
    * @return workNumList
    */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
    * 获取 工号
    * @return workNumNotList
    */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
    * 设置 工号
    * @param workNumNotList
    */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
    * 获取 窗口编号
    * @return windowNumList
    */
    public List<String> getWindowNumList(){
        return this.windowNumList;
    }

    /**
    * 设置 窗口编号
    * @param windowNumList
    */
    public void setWindowNumList(List<String> windowNumList){
        this.windowNumList = windowNumList;
    }

    /**
    * 获取 窗口编号
    * @return windowNumNotList
    */
    public List<String> getWindowNumNotList(){
        return this.windowNumNotList;
    }

    /**
    * 设置 窗口编号
    * @param windowNumNotList
    */
    public void setWindowNumNotList(List<String> windowNumNotList){
        this.windowNumNotList = windowNumNotList;
    }

    /**
    * 获取 开始 所属部门
    * @return deptIdStart
    */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
    * 获取 结束 所属部门
    * @return $deptIdEnd
    */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
    * 获取 增加 所属部门
    * @return deptIdIncrement
    */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
    * 获取 所属部门
    * @return deptIdList
    */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
    * 获取 所属部门
    * @return deptIdNotList
    */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
    * 设置 所属部门
    * @param deptIdNotList
    */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
    * 获取 所属部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
    * 获取 所属部门名称
    * @return deptNameNotList
    */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameNotList
    */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
    * 获取 办件编码
    * @return goworkCodeList
    */
    public List<String> getGoworkCodeList(){
        return this.goworkCodeList;
    }

    /**
    * 设置 办件编码
    * @param goworkCodeList
    */
    public void setGoworkCodeList(List<String> goworkCodeList){
        this.goworkCodeList = goworkCodeList;
    }

    /**
    * 获取 办件编码
    * @return goworkCodeNotList
    */
    public List<String> getGoworkCodeNotList(){
        return this.goworkCodeNotList;
    }

    /**
    * 设置 办件编码
    * @param goworkCodeNotList
    */
    public void setGoworkCodeNotList(List<String> goworkCodeNotList){
        this.goworkCodeNotList = goworkCodeNotList;
    }

    /**
    * 获取 办件所属部门
    * @return goworkDeptsList
    */
    public List<String> getGoworkDeptsList(){
        return this.goworkDeptsList;
    }

    /**
    * 设置 办件所属部门
    * @param goworkDeptsList
    */
    public void setGoworkDeptsList(List<String> goworkDeptsList){
        this.goworkDeptsList = goworkDeptsList;
    }

    /**
    * 获取 办件所属部门
    * @return goworkDeptsNotList
    */
    public List<String> getGoworkDeptsNotList(){
        return this.goworkDeptsNotList;
    }

    /**
    * 设置 办件所属部门
    * @param goworkDeptsNotList
    */
    public void setGoworkDeptsNotList(List<String> goworkDeptsNotList){
        this.goworkDeptsNotList = goworkDeptsNotList;
    }

    /**
    * 获取 事项名称
    * @return matterlNameList
    */
    public List<String> getMatterlNameList(){
        return this.matterlNameList;
    }

    /**
    * 设置 事项名称
    * @param matterlNameList
    */
    public void setMatterlNameList(List<String> matterlNameList){
        this.matterlNameList = matterlNameList;
    }

    /**
    * 获取 事项名称
    * @return matterlNameNotList
    */
    public List<String> getMatterlNameNotList(){
        return this.matterlNameNotList;
    }

    /**
    * 设置 事项名称
    * @param matterlNameNotList
    */
    public void setMatterlNameNotList(List<String> matterlNameNotList){
        this.matterlNameNotList = matterlNameNotList;
    }

    /**
    * 获取 开始 办理时间
    * @return goworkTimeStart
    */
    public String getGoworkTimeStart(){
        return this.goworkTimeStart;
    }

    /**
    * 设置 开始 办理时间
    * @param goworkTimeStart
    */
    public void setGoworkTimeStart(String goworkTimeStart){
        this.goworkTimeStart = goworkTimeStart;
    }

    /**
    * 获取 结束 办理时间
    * @return goworkTimeEnd
    */
    public String getGoworkTimeEnd(){
        return this.goworkTimeEnd;
    }

    /**
    * 设置 结束 办理时间
    * @param goworkTimeEnd
    */
    public void setGoworkTimeEnd(String goworkTimeEnd){
        this.goworkTimeEnd = goworkTimeEnd;
    }

    /**
    * 获取 开始 绩效规则id
    * @return ruleIdStart
    */
    public Long getRuleIdStart(){
        return this.ruleIdStart;
    }

    /**
    * 设置 开始 绩效规则id
    * @param ruleIdStart
    */
    public void setRuleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
    }

    /**
    * 获取 结束 绩效规则id
    * @return $ruleIdEnd
    */
    public Long getRuleIdEnd(){
        return this.ruleIdEnd;
    }

    /**
    * 设置 结束 绩效规则id
    * @param ruleIdEnd
    */
    public void setRuleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
    }

    /**
    * 获取 增加 绩效规则id
    * @return ruleIdIncrement
    */
    public Long getRuleIdIncrement(){
        return this.ruleIdIncrement;
    }

    /**
    * 设置 增加 绩效规则id
    * @param ruleIdIncrement
    */
    public void setRuleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
    }

    /**
    * 获取 绩效规则id
    * @return ruleIdList
    */
    public List<Long> getRuleIdList(){
        return this.ruleIdList;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdList
    */
    public void setRuleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
    }

    /**
    * 获取 绩效规则id
    * @return ruleIdNotList
    */
    public List<Long> getRuleIdNotList(){
        return this.ruleIdNotList;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdNotList
    */
    public void setRuleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
    }


    /**
    * 获取 规则名称
    * @return ruleNameList
    */
    public List<String> getRuleNameList(){
        return this.ruleNameList;
    }

    /**
    * 设置 规则名称
    * @param ruleNameList
    */
    public void setRuleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
    }

    /**
    * 获取 规则名称
    * @return ruleNameNotList
    */
    public List<String> getRuleNameNotList(){
        return this.ruleNameNotList;
    }

    /**
    * 设置 规则名称
    * @param ruleNameNotList
    */
    public void setRuleNameNotList(List<String> ruleNameNotList){
        this.ruleNameNotList = ruleNameNotList;
    }

    /**
    * 获取 开始 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodStart
    */
    public Integer getSubMethodStart(){
        return this.subMethodStart;
    }

    /**
    * 设置 开始 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodStart
    */
    public void setSubMethodStart(Integer subMethodStart){
        this.subMethodStart = subMethodStart;
    }

    /**
    * 获取 结束 扣分方式(1.系统自动,2.人工添加)
    * @return $subMethodEnd
    */
    public Integer getSubMethodEnd(){
        return this.subMethodEnd;
    }

    /**
    * 设置 结束 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodEnd
    */
    public void setSubMethodEnd(Integer subMethodEnd){
        this.subMethodEnd = subMethodEnd;
    }

    /**
    * 获取 增加 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodIncrement
    */
    public Integer getSubMethodIncrement(){
        return this.subMethodIncrement;
    }

    /**
    * 设置 增加 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodIncrement
    */
    public void setSubMethodIncrement(Integer subMethodIncrement){
        this.subMethodIncrement = subMethodIncrement;
    }

    /**
    * 获取 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodList
    */
    public List<Integer> getSubMethodList(){
        return this.subMethodList;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodList
    */
    public void setSubMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
    }

    /**
    * 获取 扣分方式(1.系统自动,2.人工添加)
    * @return subMethodNotList
    */
    public List<Integer> getSubMethodNotList(){
        return this.subMethodNotList;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodNotList
    */
    public void setSubMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
    }


    /**
    * 获取 扣分人员
    * @return deductPersonList
    */
    public List<String> getDeductPersonList(){
        return this.deductPersonList;
    }

    /**
    * 设置 扣分人员
    * @param deductPersonList
    */
    public void setDeductPersonList(List<String> deductPersonList){
        this.deductPersonList = deductPersonList;
    }

    /**
    * 获取 扣分人员
    * @return deductPersonNotList
    */
    public List<String> getDeductPersonNotList(){
        return this.deductPersonNotList;
    }

    /**
    * 设置 扣分人员
    * @param deductPersonNotList
    */
    public void setDeductPersonNotList(List<String> deductPersonNotList){
        this.deductPersonNotList = deductPersonNotList;
    }

    /**
    * 获取 开始 扣分时间
    * @return deductTimeStart
    */
    public String getDeductTimeStart(){
        return this.deductTimeStart;
    }

    /**
    * 设置 开始 扣分时间
    * @param deductTimeStart
    */
    public void setDeductTimeStart(String deductTimeStart){
        this.deductTimeStart = deductTimeStart;
    }

    /**
    * 获取 结束 扣分时间
    * @return deductTimeEnd
    */
    public String getDeductTimeEnd(){
        return this.deductTimeEnd;
    }

    /**
    * 设置 结束 扣分时间
    * @param deductTimeEnd
    */
    public void setDeductTimeEnd(String deductTimeEnd){
        this.deductTimeEnd = deductTimeEnd;
    }

    /**
    * 获取 开始 扣分或增加分值
    * @return scoreStart
    */
    public BigDecimal getScoreStart(){
        return this.scoreStart;
    }

    /**
    * 设置 开始 扣分或增加分值
    * @param scoreStart
    */
    public void setScoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
    }

    /**
    * 获取 结束 扣分或增加分值
    * @return $scoreEnd
    */
    public BigDecimal getScoreEnd(){
        return this.scoreEnd;
    }

    /**
    * 设置 结束 扣分或增加分值
    * @param scoreEnd
    */
    public void setScoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
    }

    /**
    * 获取 增加 扣分或增加分值
    * @return scoreIncrement
    */
    public BigDecimal getScoreIncrement(){
        return this.scoreIncrement;
    }

    /**
    * 设置 增加 扣分或增加分值
    * @param scoreIncrement
    */
    public void setScoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
    }

    /**
    * 获取 扣分或增加分值
    * @return scoreList
    */
    public List<BigDecimal> getScoreList(){
        return this.scoreList;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreList
    */
    public void setScoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
    }

    /**
    * 获取 扣分或增加分值
    * @return scoreNotList
    */
    public List<BigDecimal> getScoreNotList(){
        return this.scoreNotList;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreNotList
    */
    public void setScoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
    }


    /**
    * 获取 开始 处理状态(1.未核查,2.已核查)
    * @return processStatusStart
    */
    public Integer getProcessStatusStart(){
        return this.processStatusStart;
    }

    /**
    * 设置 开始 处理状态(1.未核查,2.已核查)
    * @param processStatusStart
    */
    public void setProcessStatusStart(Integer processStatusStart){
        this.processStatusStart = processStatusStart;
    }

    /**
    * 获取 结束 处理状态(1.未核查,2.已核查)
    * @return $processStatusEnd
    */
    public Integer getProcessStatusEnd(){
        return this.processStatusEnd;
    }

    /**
    * 设置 结束 处理状态(1.未核查,2.已核查)
    * @param processStatusEnd
    */
    public void setProcessStatusEnd(Integer processStatusEnd){
        this.processStatusEnd = processStatusEnd;
    }

    /**
    * 获取 增加 处理状态(1.未核查,2.已核查)
    * @return processStatusIncrement
    */
    public Integer getProcessStatusIncrement(){
        return this.processStatusIncrement;
    }

    /**
    * 设置 增加 处理状态(1.未核查,2.已核查)
    * @param processStatusIncrement
    */
    public void setProcessStatusIncrement(Integer processStatusIncrement){
        this.processStatusIncrement = processStatusIncrement;
    }

    /**
    * 获取 处理状态(1.未核查,2.已核查)
    * @return processStatusList
    */
    public List<Integer> getProcessStatusList(){
        return this.processStatusList;
    }

    /**
    * 设置 处理状态(1.未核查,2.已核查)
    * @param processStatusList
    */
    public void setProcessStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
    }

    /**
    * 获取 处理状态(1.未核查,2.已核查)
    * @return processStatusNotList
    */
    public List<Integer> getProcessStatusNotList(){
        return this.processStatusNotList;
    }

    /**
    * 设置 处理状态(1.未核查,2.已核查)
    * @param processStatusNotList
    */
    public void setProcessStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public PerformGoworkRecordQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public PerformGoworkRecordQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public PerformGoworkRecordQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public PerformGoworkRecordQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public PerformGoworkRecordQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public PerformGoworkRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  员工ID
    * @param staffId
    */
    public PerformGoworkRecordQuery staffId(Long staffId){
	    setStaffId(staffId);
		return this;
    }
	
	 /**
    * 设置 开始 员工ID
    * @param staffIdStart
    */
    public PerformGoworkRecordQuery staffIdStart(Long staffIdStart){
		this.staffIdStart = staffIdStart;
		return this;
    }

    /**
    * 设置 结束 员工ID
    * @param staffIdEnd
    */
    public PerformGoworkRecordQuery staffIdEnd(Long staffIdEnd){
		this.staffIdEnd = staffIdEnd;
		return this;
    }

    /**
    * 设置 增加 员工ID
    * @param staffIdIncrement
    */
    public PerformGoworkRecordQuery staffIdIncrement(Long staffIdIncrement){
		this.staffIdIncrement = staffIdIncrement;
		return this;
    }

    /**
    * 设置 员工ID
    * @param staffIdList
    */
    public PerformGoworkRecordQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
		return this;
        }

        /**
        * 设置 员工ID
        * @param staffIdNotList
        */
        public PerformGoworkRecordQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param staffName
    */
    public PerformGoworkRecordQuery staffName(String staffName){
        setStaffName(staffName);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param staffNameList
    */
    public PerformGoworkRecordQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
		return this;
    }


	/**
    * 设置 工号
    * @param workNum
    */
    public PerformGoworkRecordQuery workNum(String workNum){
        setWorkNum(workNum);
		return this;
    }

    /**
    * 设置 工号
    * @param workNumList
    */
    public PerformGoworkRecordQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
		return this;
    }


	/**
    * 设置 窗口编号
    * @param windowNum
    */
    public PerformGoworkRecordQuery windowNum(String windowNum){
        setWindowNum(windowNum);
		return this;
    }

    /**
    * 设置 窗口编号
    * @param windowNumList
    */
    public PerformGoworkRecordQuery windowNumList(List<String> windowNumList){
        this.windowNumList = windowNumList;
		return this;
    }

    /**
    * 设置  所属部门
    * @param deptId
    */
    public PerformGoworkRecordQuery deptId(Long deptId){
	    setDeptId(deptId);
		return this;
    }
	
	 /**
    * 设置 开始 所属部门
    * @param deptIdStart
    */
    public PerformGoworkRecordQuery deptIdStart(Long deptIdStart){
		this.deptIdStart = deptIdStart;
		return this;
    }

    /**
    * 设置 结束 所属部门
    * @param deptIdEnd
    */
    public PerformGoworkRecordQuery deptIdEnd(Long deptIdEnd){
		this.deptIdEnd = deptIdEnd;
		return this;
    }

    /**
    * 设置 增加 所属部门
    * @param deptIdIncrement
    */
    public PerformGoworkRecordQuery deptIdIncrement(Long deptIdIncrement){
		this.deptIdIncrement = deptIdIncrement;
		return this;
    }

    /**
    * 设置 所属部门
    * @param deptIdList
    */
    public PerformGoworkRecordQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
		return this;
        }

        /**
        * 设置 所属部门
        * @param deptIdNotList
        */
        public PerformGoworkRecordQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
        }


	/**
    * 设置 所属部门名称
    * @param deptName
    */
    public PerformGoworkRecordQuery deptName(String deptName){
        setDeptName(deptName);
		return this;
    }

    /**
    * 设置 所属部门名称
    * @param deptNameList
    */
    public PerformGoworkRecordQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
		return this;
    }


	/**
    * 设置 办件编码
    * @param goworkCode
    */
    public PerformGoworkRecordQuery goworkCode(String goworkCode){
        setGoworkCode(goworkCode);
		return this;
    }

    /**
    * 设置 办件编码
    * @param goworkCodeList
    */
    public PerformGoworkRecordQuery goworkCodeList(List<String> goworkCodeList){
        this.goworkCodeList = goworkCodeList;
		return this;
    }


	/**
    * 设置 办件所属部门
    * @param goworkDepts
    */
    public PerformGoworkRecordQuery goworkDepts(String goworkDepts){
        setGoworkDepts(goworkDepts);
		return this;
    }

    /**
    * 设置 办件所属部门
    * @param goworkDeptsList
    */
    public PerformGoworkRecordQuery goworkDeptsList(List<String> goworkDeptsList){
        this.goworkDeptsList = goworkDeptsList;
		return this;
    }


	/**
    * 设置 事项名称
    * @param matterlName
    */
    public PerformGoworkRecordQuery matterlName(String matterlName){
        setMatterlName(matterlName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterlNameList
    */
    public PerformGoworkRecordQuery matterlNameList(List<String> matterlNameList){
        this.matterlNameList = matterlNameList;
		return this;
    }


    /**
    * 设置  绩效规则id
    * @param ruleId
    */
    public PerformGoworkRecordQuery ruleId(Long ruleId){
	    setRuleId(ruleId);
		return this;
    }
	
	 /**
    * 设置 开始 绩效规则id
    * @param ruleIdStart
    */
    public PerformGoworkRecordQuery ruleIdStart(Long ruleIdStart){
		this.ruleIdStart = ruleIdStart;
		return this;
    }

    /**
    * 设置 结束 绩效规则id
    * @param ruleIdEnd
    */
    public PerformGoworkRecordQuery ruleIdEnd(Long ruleIdEnd){
		this.ruleIdEnd = ruleIdEnd;
		return this;
    }

    /**
    * 设置 增加 绩效规则id
    * @param ruleIdIncrement
    */
    public PerformGoworkRecordQuery ruleIdIncrement(Long ruleIdIncrement){
		this.ruleIdIncrement = ruleIdIncrement;
		return this;
    }

    /**
    * 设置 绩效规则id
    * @param ruleIdList
    */
    public PerformGoworkRecordQuery ruleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
		return this;
        }

        /**
        * 设置 绩效规则id
        * @param ruleIdNotList
        */
        public PerformGoworkRecordQuery ruleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
        return this;
        }


	/**
    * 设置 规则名称
    * @param ruleName
    */
    public PerformGoworkRecordQuery ruleName(String ruleName){
        setRuleName(ruleName);
		return this;
    }

    /**
    * 设置 规则名称
    * @param ruleNameList
    */
    public PerformGoworkRecordQuery ruleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
		return this;
    }

    /**
    * 设置  扣分方式(1.系统自动,2.人工添加)
    * @param subMethod
    */
    public PerformGoworkRecordQuery subMethod(Integer subMethod){
	    setSubMethod(subMethod);
		return this;
    }
	
	 /**
    * 设置 开始 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodStart
    */
    public PerformGoworkRecordQuery subMethodStart(Integer subMethodStart){
		this.subMethodStart = subMethodStart;
		return this;
    }

    /**
    * 设置 结束 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodEnd
    */
    public PerformGoworkRecordQuery subMethodEnd(Integer subMethodEnd){
		this.subMethodEnd = subMethodEnd;
		return this;
    }

    /**
    * 设置 增加 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodIncrement
    */
    public PerformGoworkRecordQuery subMethodIncrement(Integer subMethodIncrement){
		this.subMethodIncrement = subMethodIncrement;
		return this;
    }

    /**
    * 设置 扣分方式(1.系统自动,2.人工添加)
    * @param subMethodList
    */
    public PerformGoworkRecordQuery subMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
		return this;
        }

        /**
        * 设置 扣分方式(1.系统自动,2.人工添加)
        * @param subMethodNotList
        */
        public PerformGoworkRecordQuery subMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
        return this;
        }


	/**
    * 设置 扣分人员
    * @param deductPerson
    */
    public PerformGoworkRecordQuery deductPerson(String deductPerson){
        setDeductPerson(deductPerson);
		return this;
    }

    /**
    * 设置 扣分人员
    * @param deductPersonList
    */
    public PerformGoworkRecordQuery deductPersonList(List<String> deductPersonList){
        this.deductPersonList = deductPersonList;
		return this;
    }


    /**
    * 设置  扣分或增加分值
    * @param score
    */
    public PerformGoworkRecordQuery score(BigDecimal score){
	    setScore(score);
		return this;
    }
	
	 /**
    * 设置 开始 扣分或增加分值
    * @param scoreStart
    */
    public PerformGoworkRecordQuery scoreStart(BigDecimal scoreStart){
		this.scoreStart = scoreStart;
		return this;
    }

    /**
    * 设置 结束 扣分或增加分值
    * @param scoreEnd
    */
    public PerformGoworkRecordQuery scoreEnd(BigDecimal scoreEnd){
		this.scoreEnd = scoreEnd;
		return this;
    }

    /**
    * 设置 增加 扣分或增加分值
    * @param scoreIncrement
    */
    public PerformGoworkRecordQuery scoreIncrement(BigDecimal scoreIncrement){
		this.scoreIncrement = scoreIncrement;
		return this;
    }

    /**
    * 设置 扣分或增加分值
    * @param scoreList
    */
    public PerformGoworkRecordQuery scoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
		return this;
        }

        /**
        * 设置 扣分或增加分值
        * @param scoreNotList
        */
        public PerformGoworkRecordQuery scoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
        return this;
        }

    /**
    * 设置  处理状态(1.未核查,2.已核查)
    * @param processStatus
    */
    public PerformGoworkRecordQuery processStatus(Integer processStatus){
	    setProcessStatus(processStatus);
		return this;
    }
	
	 /**
    * 设置 开始 处理状态(1.未核查,2.已核查)
    * @param processStatusStart
    */
    public PerformGoworkRecordQuery processStatusStart(Integer processStatusStart){
		this.processStatusStart = processStatusStart;
		return this;
    }

    /**
    * 设置 结束 处理状态(1.未核查,2.已核查)
    * @param processStatusEnd
    */
    public PerformGoworkRecordQuery processStatusEnd(Integer processStatusEnd){
		this.processStatusEnd = processStatusEnd;
		return this;
    }

    /**
    * 设置 增加 处理状态(1.未核查,2.已核查)
    * @param processStatusIncrement
    */
    public PerformGoworkRecordQuery processStatusIncrement(Integer processStatusIncrement){
		this.processStatusIncrement = processStatusIncrement;
		return this;
    }

    /**
    * 设置 处理状态(1.未核查,2.已核查)
    * @param processStatusList
    */
    public PerformGoworkRecordQuery processStatusList(List<Integer> processStatusList){
        this.processStatusList = processStatusList;
		return this;
        }

        /**
        * 设置 处理状态(1.未核查,2.已核查)
        * @param processStatusNotList
        */
        public PerformGoworkRecordQuery processStatusNotList(List<Integer> processStatusNotList){
        this.processStatusNotList = processStatusNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public PerformGoworkRecordQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public PerformGoworkRecordQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public PerformGoworkRecordQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public PerformGoworkRecordQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public PerformGoworkRecordQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public PerformGoworkRecordQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public PerformGoworkRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public PerformGoworkRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public PerformGoworkRecordQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public PerformGoworkRecordQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public PerformGoworkRecordQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public PerformGoworkRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public PerformGoworkRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public PerformGoworkRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<PerformGoworkRecordQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<PerformGoworkRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<PerformGoworkRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<PerformGoworkRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}